
<!DOCTYPE html>


<html lang="en" data-content_root="../../../" >

  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="viewport" content="width=device-width, initial-scale=1" />

    <title>Aidge ONNX API &#8212; Eclipse Aidge  documentation</title>
  
  
  
  <script data-cfasync="false">
    document.documentElement.dataset.mode = localStorage.getItem("mode") || "";
    document.documentElement.dataset.theme = localStorage.getItem("theme") || "";
  </script>
  <!--
    this give us a css class that will be invisible only if js is disabled
  -->
  <noscript>
    <style>
      .pst-js-only { display: none !important; }

    </style>
  </noscript>
  
  <!-- Loaded before other Sphinx assets -->
  <link href="../../../_static/styles/theme.css?digest=8878045cc6db502f8baf" rel="stylesheet" />
<link href="../../../_static/styles/pydata-sphinx-theme.css?digest=8878045cc6db502f8baf" rel="stylesheet" />

    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css?v=8f2a1f02" />
    <link rel="stylesheet" type="text/css" href="../../../_static/graphviz.css?v=4ae1632d" />
    <link rel="stylesheet" type="text/css" href="../../../_static/copybutton.css?v=76b2166b" />
    <link rel="stylesheet" type="text/css" href="../../../_static/sg_gallery.css?v=d2d258e8" />
    <link rel="stylesheet" type="text/css" href="../../../_static/sphinx-design.min.css?v=95c83b7e" />
    <link rel="stylesheet" type="text/css" href="../../../_static/css/custom.css?v=794b2ffd" />
  
  <!-- So that users can add custom icons -->
  <script src="../../../_static/scripts/fontawesome.js?digest=8878045cc6db502f8baf"></script>
  <!-- Pre-loaded scripts that we'll load fully later -->
  <link rel="preload" as="script" href="../../../_static/scripts/bootstrap.js?digest=8878045cc6db502f8baf" />
<link rel="preload" as="script" href="../../../_static/scripts/pydata-sphinx-theme.js?digest=8878045cc6db502f8baf" />

    <script src="../../../_static/documentation_options.js?v=5929fcd5"></script>
    <script src="../../../_static/doctools.js?v=9bcbadda"></script>
    <script src="../../../_static/sphinx_highlight.js?v=dc90522c"></script>
    <script src="../../../_static/clipboard.min.js?v=a7894cd8"></script>
    <script src="../../../_static/copybutton.js?v=f281be69"></script>
    <script src="../../../_static/design-tabs.js?v=f930bc37"></script>
    <script src="https://cdn.jsdelivr.net/npm/@jupyter-widgets/html-manager@^1.0.1/dist/embed-amd.js"></script>
    <script>DOCUMENTATION_OPTIONS.pagename = 'source/API/Onnx/index';</script>
    <script>
        DOCUMENTATION_OPTIONS.theme_version = '0.16.1';
        DOCUMENTATION_OPTIONS.theme_switcher_json_url = 'https://eclipse-aidge.readthedocs.io/en/dev/_static/version_switcher.json';
        DOCUMENTATION_OPTIONS.theme_switcher_version_match = '0.5.0';
        DOCUMENTATION_OPTIONS.show_version_warning_banner =
            false;
        </script>
    <script src="../../../_static/js/mermaid.min.js"></script>
    <link rel="index" title="Index" href="../../../genindex.html" />
    <link rel="search" title="Search" href="../../../search.html" />
    <link rel="next" title="Aidge backend OpenCV API" href="../BackendOPENCV/index.html" />
    <link rel="prev" title="Aidge backend CPU" href="../BackendCPU/index.html" />
  <meta name="viewport" content="width=device-width, initial-scale=1"/>
  <meta name="docsearch:language" content="en"/>
  <meta name="docsearch:version" content="0.5.0" />
  </head>
  
  
  <body data-bs-spy="scroll" data-bs-target=".bd-toc-nav" data-offset="180" data-bs-root-margin="0px 0px -60%" data-default-mode="">

  
  
  <div id="pst-skip-link" class="skip-link d-print-none"><a href="#main-content">Skip to main content</a></div>
  
  <div id="pst-scroll-pixel-helper"></div>
  
  <button type="button" class="btn rounded-pill" id="pst-back-to-top">
    <i class="fa-solid fa-arrow-up"></i>Back to top</button>

  
  <dialog id="pst-search-dialog">
    
<form class="bd-search d-flex align-items-center"
      action="../../../search.html"
      method="get">
  <i class="fa-solid fa-magnifying-glass"></i>
  <input type="search"
         class="form-control"
         name="q"
         placeholder="Search the docs ..."
         aria-label="Search the docs ..."
         autocomplete="off"
         autocorrect="off"
         autocapitalize="off"
         spellcheck="false"/>
  <span class="search-button__kbd-shortcut"><kbd class="kbd-shortcut__modifier">Ctrl</kbd>+<kbd>K</kbd></span>
</form>
  </dialog>

  <div class="pst-async-banner-revealer d-none">
  <aside id="bd-header-version-warning" class="d-none d-print-none" aria-label="Version warning"></aside>
</div>

  
    <header class="bd-header navbar navbar-expand-lg bd-navbar d-print-none">
<div class="bd-header__inner bd-page-width">
  <button class="pst-navbar-icon sidebar-toggle primary-toggle" aria-label="Site navigation">
    <span class="fa-solid fa-bars"></span>
  </button>
  
  
  <div class="col-lg-3 navbar-header-items__start">
    
      <div class="navbar-item">

  
    
  

<a class="navbar-brand logo" href="../../../index.html">
  
  
  
  
  
    
    
      
    
    
    <img src="../../../_static/Isotype-aidge.png" class="logo__image only-light" alt=""/>
    <img src="../../../_static/Isotype-aidge.png" class="logo__image only-dark pst-js-only" alt=""/>
  
  
    <p class="title logo__title">Eclipse Aidge</p>
  
</a></div>
    
      <div class="navbar-item">
<div class="version-switcher__container dropdown pst-js-only">
  <button id="pst-version-switcher-button-2"
    type="button"
    class="version-switcher__button btn btn-sm dropdown-toggle"
    data-bs-toggle="dropdown"
    aria-haspopup="listbox"
    aria-controls="pst-version-switcher-list-2"
    aria-label="Version switcher list"
  >
    Choose version  <!-- this text may get changed later by javascript -->
    <span class="caret"></span>
  </button>
  <div id="pst-version-switcher-list-2"
    class="version-switcher__menu dropdown-menu list-group-flush py-0"
    role="listbox" aria-labelledby="pst-version-switcher-button-2">
    <!-- dropdown will be populated by javascript on page load -->
  </div>
</div></div>
    
  </div>
  
  <div class="col-lg-9 navbar-header-items">
    
    <div class="me-auto navbar-header-items__center">
      
        <div class="navbar-item">
<nav>
  <ul class="bd-navbar-elements navbar-nav">
    
<li class="nav-item ">
  <a class="nav-link nav-internal" href="../../GetStarted/index.html">
    Get Started
  </a>
</li>


<li class="nav-item ">
  <a class="nav-link nav-internal" href="../../UserGuide/index.html">
    User Guide
  </a>
</li>


<li class="nav-item ">
  <a class="nav-link nav-internal" href="../../Tutorial/index.html">
    Tutorials
  </a>
</li>


<li class="nav-item current active">
  <a class="nav-link nav-internal" href="../index.html">
    API
  </a>
</li>

  </ul>
</nav></div>
      
    </div>
    
    
    <div class="navbar-header-items__end">
      
        <div class="navbar-item navbar-persistent--container">
          

<button class="btn search-button-field search-button__button pst-js-only" title="Search" aria-label="Search" data-bs-placement="bottom" data-bs-toggle="tooltip">
 <i class="fa-solid fa-magnifying-glass"></i>
 <span class="search-button__default-text">Search</span>
 <span class="search-button__kbd-shortcut"><kbd class="kbd-shortcut__modifier">Ctrl</kbd>+<kbd class="kbd-shortcut__modifier">K</kbd></span>
</button>
        </div>
      
      
        <div class="navbar-item">

<button class="btn btn-sm nav-link pst-navbar-icon theme-switch-button pst-js-only" aria-label="Color mode" data-bs-title="Color mode"  data-bs-placement="bottom" data-bs-toggle="tooltip">
  <i class="theme-switch fa-solid fa-sun                fa-lg" data-mode="light" title="Light"></i>
  <i class="theme-switch fa-solid fa-moon               fa-lg" data-mode="dark"  title="Dark"></i>
  <i class="theme-switch fa-solid fa-circle-half-stroke fa-lg" data-mode="auto"  title="System Settings"></i>
</button></div>
      
        <div class="navbar-item"><ul class="navbar-icon-links"
    aria-label="Icon Links">
        <li class="nav-item">
          
          
          
          
          
          
          
          
          <a href="<https://gitlab.eclipse.org/eclipse/aidge>" title="GitLab" class="nav-link pst-navbar-icon" rel="noopener" target="_blank" data-bs-toggle="tooltip" data-bs-placement="bottom"><i class="fab fa-gitlab fa-lg" aria-hidden="true"></i>
            <span class="sr-only">GitLab</span></a>
        </li>
</ul></div>
      
    </div>
    
  </div>
  
  
    <div class="navbar-persistent--mobile">

<button class="btn search-button-field search-button__button pst-js-only" title="Search" aria-label="Search" data-bs-placement="bottom" data-bs-toggle="tooltip">
 <i class="fa-solid fa-magnifying-glass"></i>
 <span class="search-button__default-text">Search</span>
 <span class="search-button__kbd-shortcut"><kbd class="kbd-shortcut__modifier">Ctrl</kbd>+<kbd class="kbd-shortcut__modifier">K</kbd></span>
</button>
    </div>
  

  
    <button class="pst-navbar-icon sidebar-toggle secondary-toggle" aria-label="On this page">
      <span class="fa-solid fa-outdent"></span>
    </button>
  
</div>

    </header>
  

  <div class="bd-container">
    <div class="bd-container__inner bd-page-width">
      
      
      
      <dialog id="pst-primary-sidebar-modal"></dialog>
      <div id="pst-primary-sidebar" class="bd-sidebar-primary bd-sidebar">
        

  
  <div class="sidebar-header-items sidebar-primary__section">
    
    
      <div class="sidebar-header-items__center">
        
          
          
            <div class="navbar-item">
<nav>
  <ul class="bd-navbar-elements navbar-nav">
    
<li class="nav-item ">
  <a class="nav-link nav-internal" href="../../GetStarted/index.html">
    Get Started
  </a>
</li>


<li class="nav-item ">
  <a class="nav-link nav-internal" href="../../UserGuide/index.html">
    User Guide
  </a>
</li>


<li class="nav-item ">
  <a class="nav-link nav-internal" href="../../Tutorial/index.html">
    Tutorials
  </a>
</li>


<li class="nav-item current active">
  <a class="nav-link nav-internal" href="../index.html">
    API
  </a>
</li>

  </ul>
</nav></div>
          
        
      </div>
    
    
    
      <div class="sidebar-header-items__end">
        
          <div class="navbar-item">

<button class="btn btn-sm nav-link pst-navbar-icon theme-switch-button pst-js-only" aria-label="Color mode" data-bs-title="Color mode"  data-bs-placement="bottom" data-bs-toggle="tooltip">
  <i class="theme-switch fa-solid fa-sun                fa-lg" data-mode="light" title="Light"></i>
  <i class="theme-switch fa-solid fa-moon               fa-lg" data-mode="dark"  title="Dark"></i>
  <i class="theme-switch fa-solid fa-circle-half-stroke fa-lg" data-mode="auto"  title="System Settings"></i>
</button></div>
        
          <div class="navbar-item"><ul class="navbar-icon-links"
    aria-label="Icon Links">
        <li class="nav-item">
          
          
          
          
          
          
          
          
          <a href="<https://gitlab.eclipse.org/eclipse/aidge>" title="GitLab" class="nav-link pst-navbar-icon" rel="noopener" target="_blank" data-bs-toggle="tooltip" data-bs-placement="bottom"><i class="fab fa-gitlab fa-lg" aria-hidden="true"></i>
            <span class="sr-only">GitLab</span></a>
        </li>
</ul></div>
        
      </div>
    
  </div>
  
    <div class="sidebar-primary-items__start sidebar-primary__section">
        <div class="sidebar-primary-item">
<nav class="bd-docs-nav bd-links"
     aria-label="Section Navigation">
  <p class="bd-links__title" role="heading" aria-level="1">Section Navigation</p>
  <div class="bd-toc-item navbar-nav"><ul class="current nav bd-sidenav">
<li class="toctree-l1"><a class="reference internal" href="../Core/index.html">Aidge core API</a></li>
<li class="toctree-l1"><a class="reference internal" href="../BackendCPU/index.html">Aidge backend CPU</a></li>
<li class="toctree-l1 current active"><a class="current reference internal" href="#">Aidge ONNX API</a></li>
<li class="toctree-l1"><a class="reference internal" href="../BackendOPENCV/index.html">Aidge backend OpenCV API</a></li>
<li class="toctree-l1"><a class="reference internal" href="../ExportTensorRT/index.html">Aidge Export TensorRT API</a></li>
</ul>
</div>
</nav></div>
    </div>
  
  
  <div class="sidebar-primary-items__end sidebar-primary__section">
      <div class="sidebar-primary-item">
<div id="ethical-ad-placement"
      class="flat"
      data-ea-publisher="readthedocs"
      data-ea-type="readthedocs-sidebar"
      data-ea-manual="true">
</div></div>
  </div>


      </div>
      
      <main id="main-content" class="bd-main" role="main">
        
        
          <div class="bd-content">
            <div class="bd-article-container">
              
              <div class="bd-header-article d-print-none">
<div class="header-article-items header-article__inner">
  
    <div class="header-article-items__start">
      
        <div class="header-article-item">

<nav aria-label="Breadcrumb" class="d-print-none">
  <ul class="bd-breadcrumbs">
    
    <li class="breadcrumb-item breadcrumb-home">
      <a href="../../../index.html" class="nav-link" aria-label="Home">
        <i class="fa-solid fa-home"></i>
      </a>
    </li>
    
    <li class="breadcrumb-item"><a href="../index.html" class="nav-link">API</a></li>
    
    <li class="breadcrumb-item active" aria-current="page"><span class="ellipsis">Aidge ONNX API</span></li>
  </ul>
</nav>
</div>
      
    </div>
  
  
</div>
</div>
              
              
              
                
<div id="searchbox"></div>
                <article class="bd-article">
                  
  <section id="aidge-onnx-api">
<h1>Aidge ONNX API<a class="headerlink" href="#aidge-onnx-api" title="Link to this heading">#</a></h1>
<section id="import">
<h2>Import<a class="headerlink" href="#import" title="Link to this heading">#</a></h2>
<p>Method related to the import of an ONNX graph into Aidge.</p>
<dl class="py function">
<dt class="sig sig-object py" id="aidge_onnx.load_onnx">
<span class="sig-prename descclassname"><span class="pre">aidge_onnx.</span></span><span class="sig-name descname"><span class="pre">load_onnx</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">filename</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">verbose</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">bool</span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">False</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#aidge_onnx.load_onnx" title="Link to this definition">#</a></dt>
<dd><p>Load an ONNX file and convert it into a <a class="reference internal" href="../Core/graph.html#aidge_core.GraphView" title="aidge_core.GraphView"><code class="xref py py-class docutils literal notranslate"><span class="pre">aidge_core.GraphView</span></code></a>.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>filename</strong> (<em>str</em>) – Path to the ONNX file to load</p></li>
<li><p><strong>verbose</strong> (<em>bool</em><em>, </em><em>optional</em>) – If <code class="docutils literal notranslate"><span class="pre">True</span></code>, display information on the terminal, default=False</p></li>
</ul>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>Aidge <a class="reference internal" href="../Core/graph.html#aidge_core.GraphView" title="aidge_core.GraphView"><code class="xref py py-class docutils literal notranslate"><span class="pre">aidge_core.GraphView</span></code></a> corresponding to the ONNX model described by the onnx file  <code class="docutils literal notranslate"><span class="pre">filename</span></code></p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p><a class="reference internal" href="../Core/graph.html#aidge_core.GraphView" title="aidge_core.GraphView"><code class="xref py py-class docutils literal notranslate"><span class="pre">aidge_core.GraphView</span></code></a></p>
</dd>
</dl>
</dd></dl>

<section id="register-import-functions">
<h3>Register import functions<a class="headerlink" href="#register-import-functions" title="Link to this heading">#</a></h3>
<dl class="py function">
<dt class="sig sig-object py" id="aidge_onnx.node_import.register_import">
<span class="sig-prename descclassname"><span class="pre">aidge_onnx.node_import.</span></span><span class="sig-name descname"><span class="pre">register_import</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">key</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">converter_function</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">Callable</span><span class="p"><span class="pre">[</span></span><span class="p"><span class="pre">[</span></span><span class="pre">NodeProto</span><span class="p"><span class="pre">,</span></span><span class="w"> </span><span class="pre">List</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="../Core/graph.html#aidge_core.Node" title="aidge_core.aidge_core.Node"><span class="pre">Node</span></a><span class="p"><span class="pre">]</span></span><span class="p"><span class="pre">]</span></span><span class="p"><span class="pre">,</span></span><span class="w"> </span><a class="reference internal" href="../Core/graph.html#aidge_core.Node" title="aidge_core.aidge_core.Node"><span class="pre">Node</span></a><span class="p"><span class="pre">]</span></span></span></em><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><span class="pre">None</span></span></span><a class="headerlink" href="#aidge_onnx.node_import.register_import" title="Link to this definition">#</a></dt>
<dd><p>Add a new conversion function to the <a class="reference internal" href="#aidge_onnx.node_import.ONNX_NODE_CONVERTER_" title="aidge_onnx.node_import.ONNX_NODE_CONVERTER_"><code class="xref py py-data docutils literal notranslate"><span class="pre">aidge_onnx.node_import.ONNX_NODE_CONVERTER_</span></code></a> dictionnary.
A conversion function must have the following signature : <code class="docutils literal notranslate"><span class="pre">(onnx.NodeProto,</span> <span class="pre">List[aidge_core.Node],</span> <span class="pre">int)</span> <span class="pre">-&gt;</span> <span class="pre">aidge_core.Node</span></code></p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>key</strong> (<em>str</em>) – This chain of characters must correspond to the ONNX type (<a class="github reference external" href="https://github.com/onnx/onnx/blob/main/docs/Operators.md">onnx/onnx</a>) of the operator (in lowercase).</p></li>
<li><p><strong>converter_function</strong> (Callable[[onnx.NodeProto, List[Tuple[<a class="reference internal" href="../Core/graph.html#aidge_core.Node" title="aidge_core.Node"><code class="xref py py-class docutils literal notranslate"><span class="pre">aidge_core.Node</span></code></a>], int], int], <a class="reference internal" href="../Core/graph.html#aidge_core.Node" title="aidge_core.Node"><code class="xref py py-class docutils literal notranslate"><span class="pre">aidge_core.Node</span></code></a>]) – Function which take as an input the ONNX node and a list of aidge nodes and output the corresponding Aidge node. This function must not connect the node. If the function fails to convert the operator, it must return <code class="docutils literal notranslate"><span class="pre">None</span></code>.</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="aidge_onnx.node_import.supported_operators">
<span class="sig-prename descclassname"><span class="pre">aidge_onnx.node_import.</span></span><span class="sig-name descname"><span class="pre">supported_operators</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><span class="pre">List</span><span class="p"><span class="pre">[</span></span><span class="pre">str</span><span class="p"><span class="pre">]</span></span></span></span><a class="headerlink" href="#aidge_onnx.node_import.supported_operators" title="Link to this definition">#</a></dt>
<dd><p>Return a list of operators supported by the ONNX import.</p>
<dl class="field-list simple">
<dt class="field-odd">Returns<span class="colon">:</span></dt>
<dd class="field-odd"><p>List of string representing the operators supported by the ONNX import.</p>
</dd>
<dt class="field-even">Return type<span class="colon">:</span></dt>
<dd class="field-even"><p>List[str]</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="aidge_onnx.node_import.auto_register_import">
<span class="sig-prename descclassname"><span class="pre">aidge_onnx.node_import.</span></span><span class="sig-name descname"><span class="pre">auto_register_import</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><span class="pre">Callable</span></span></span><a class="headerlink" href="#aidge_onnx.node_import.auto_register_import" title="Link to this definition">#</a></dt>
<dd><p>Decorator used to register a converter to the <a class="reference internal" href="#aidge_onnx.node_import.ONNX_NODE_CONVERTER_" title="aidge_onnx.node_import.ONNX_NODE_CONVERTER_"><code class="xref py py-data docutils literal notranslate"><span class="pre">aidge_onnx.node_import.ONNX_NODE_CONVERTER_</span></code></a></p>
<p>Example:</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="nd">@auto_register_import</span><span class="p">(</span><span class="s2">&quot;myOp&quot;</span><span class="p">)</span>
<span class="k">def</span><span class="w"> </span><span class="nf">my_op_onverter</span><span class="p">(</span><span class="n">onnx_node</span><span class="p">,</span> <span class="n">input_nodes</span><span class="p">,</span> <span class="n">opset</span><span class="p">):</span>
    <span class="o">...</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><p><strong>args</strong> – Set of keys (str) which should correspond to the operator type defined by ONNX (<a class="github reference external" href="https://github.com/onnx/onnx/blob/main/docs/Operators.md">onnx/onnx</a>).</p>
</dd>
</dl>
</dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="aidge_onnx.node_import.ONNX_NODE_CONVERTER_">
<span class="sig-prename descclassname"><span class="pre">aidge_onnx.node_import.</span></span><span class="sig-name descname"><span class="pre">ONNX_NODE_CONVERTER_</span></span><a class="headerlink" href="#aidge_onnx.node_import.ONNX_NODE_CONVERTER_" title="Link to this definition">#</a></dt>
<dd><p>This <code class="docutils literal notranslate"><span class="pre">defaultdict</span></code> maps the ONNX type to a function which can convert an ONNX Node into an Aidge Node.
This means that if a key is missing from <a class="reference internal" href="#aidge_onnx.node_import.ONNX_NODE_CONVERTER_" title="aidge_onnx.node_import.ONNX_NODE_CONVERTER_"><code class="xref py py-data docutils literal notranslate"><span class="pre">aidge_onnx.node_import.ONNX_NODE_CONVERTER_</span></code></a>, it will return the function <a class="reference internal" href="#aidge_onnx.node_import.generic.import_generic" title="aidge_onnx.node_import.generic.import_generic"><code class="xref py py-func docutils literal notranslate"><span class="pre">aidge_onnx.node_import.generic.import_generic()</span></code></a> which import the ONNX node as an Aidge generic operator.
It is possible to add keys to this dictionnary at runtime using <code class="xref py py-func docutils literal notranslate"><span class="pre">aidge_onnx.node_import.register_converter()</span></code> or <code class="xref py py-func docutils literal notranslate"><span class="pre">aidge_onnx.node_import.auto_register()</span></code></p>
</dd></dl>

</section>
<section id="converters-onnx-to-aidge">
<h3>Converters ONNX to Aidge<a class="headerlink" href="#converters-onnx-to-aidge" title="Link to this heading">#</a></h3>
<dl class="py function">
<dt class="sig sig-object py" id="aidge_onnx.node_import.generic.import_generic">
<span class="sig-prename descclassname"><span class="pre">aidge_onnx.node_import.generic.</span></span><span class="sig-name descname"><span class="pre">import_generic</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">onnx_node</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">NodeProto</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">input_nodes</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">List</span><span class="p"><span class="pre">[</span></span><span class="pre">Tuple</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="../Core/graph.html#aidge_core.Node" title="aidge_core.aidge_core.Node"><span class="pre">Node</span></a><span class="p"><span class="pre">,</span></span><span class="w"> </span><span class="pre">int</span><span class="p"><span class="pre">]</span></span><span class="p"><span class="pre">]</span></span></span></em>, <em class="sig-param"><span class="n"><span class="pre">opset</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><a class="reference internal" href="../Core/graph.html#aidge_core.Node" title="aidge_core.aidge_core.Node"><span class="pre">Node</span></a></span></span><a class="headerlink" href="#aidge_onnx.node_import.generic.import_generic" title="Link to this definition">#</a></dt>
<dd><dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>onnx_node</strong> (<em>onnx.NodeProto</em>) – ONNX node to convert</p></li>
<li><p><strong>input_nodes</strong> (<em>List</em><em>[</em><em>Tuple</em><em>[</em><a class="reference internal" href="../Core/graph.html#aidge_core.Node" title="aidge_core.Node"><em>aidge_core.Node</em></a><em>, </em><em>int</em><em>]</em><em>]</em>) – List of tuple of Aidge nodes with their output index, which constitute the input of the current node</p></li>
<li><p><strong>opset</strong> (<em>int</em><em>, </em><em>optional</em>) – Indicate opset version of the ONNX model, default=None</p></li>
</ul>
</dd>
</dl>
</dd></dl>

</section>
</section>
<section id="export">
<h2>Export<a class="headerlink" href="#export" title="Link to this heading">#</a></h2>
<p>Method related to the export of an Aidge <a class="reference internal" href="../Core/graph.html#aidge_core.GraphView" title="aidge_core.GraphView"><code class="xref py py-class docutils literal notranslate"><span class="pre">aidge_core.GraphView</span></code></a> to an ONNX file.</p>
<dl class="py function">
<dt class="sig sig-object py" id="aidge_onnx.export_onnx">
<span class="sig-prename descclassname"><span class="pre">aidge_onnx.</span></span><span class="sig-name descname"><span class="pre">export_onnx</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">graph_view</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference internal" href="../Core/graph.html#aidge_core.GraphView" title="aidge_core.aidge_core.GraphView"><span class="pre">GraphView</span></a></span></em>, <em class="sig-param"><span class="n"><span class="pre">path_to_save</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">inputs_dims</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">Mapping</span><span class="p"><span class="pre">[</span></span><span class="pre">str</span><span class="p"><span class="pre">,</span></span><span class="w"> </span><span class="pre">List</span><span class="p"><span class="pre">[</span></span><span class="pre">List</span><span class="p"><span class="pre">[</span></span><span class="pre">int</span><span class="p"><span class="pre">]</span></span><span class="p"><span class="pre">]</span></span><span class="p"><span class="pre">]</span></span><span class="w"> </span><span class="p"><span class="pre">|</span></span><span class="w"> </span><span class="pre">None</span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">outputs_dims</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">Mapping</span><span class="p"><span class="pre">[</span></span><span class="pre">str</span><span class="p"><span class="pre">,</span></span><span class="w"> </span><span class="pre">List</span><span class="p"><span class="pre">[</span></span><span class="pre">List</span><span class="p"><span class="pre">[</span></span><span class="pre">int</span><span class="p"><span class="pre">]</span></span><span class="p"><span class="pre">]</span></span><span class="p"><span class="pre">]</span></span><span class="w"> </span><span class="p"><span class="pre">|</span></span><span class="w"> </span><span class="pre">None</span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">verbose</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">bool</span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">False</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">enable_custom_op</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">bool</span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">False</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">opset</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">int</span><span class="w"> </span><span class="p"><span class="pre">|</span></span><span class="w"> </span><span class="pre">None</span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#aidge_onnx.export_onnx" title="Link to this definition">#</a></dt>
<dd><p>Export a <a class="reference internal" href="../Core/graph.html#aidge_core.GraphView" title="aidge_core.GraphView"><code class="xref py py-class docutils literal notranslate"><span class="pre">aidge_core.GraphView</span></code></a> to an ONNX file.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>graph_view</strong> (<a class="reference internal" href="../Core/graph.html#aidge_core.GraphView" title="aidge_core.GraphView"><code class="xref py py-class docutils literal notranslate"><span class="pre">aidge_core.GraphView</span></code></a>) – <a class="reference internal" href="../Core/graph.html#aidge_core.GraphView" title="aidge_core.GraphView"><code class="xref py py-class docutils literal notranslate"><span class="pre">aidge_core.GraphView</span></code></a> to convert.</p></li>
<li><p><strong>path_to_save</strong> (<em>str</em>) – Path where to save the ONNX file, example <code class="docutils literal notranslate"><span class="pre">test.onnx</span></code></p></li>
<li><p><strong>inputs_dims</strong> (<em>Mapping</em><em>[</em><em>str</em><em>, </em><em>List</em><em>[</em><em>List</em><em>[</em><em>int</em><em>]</em><em>]</em><em>]</em><em>, </em><em>optional</em>) – input dimensions of the network, if provided, <code class="docutils literal notranslate"><span class="pre">outputs_dims</span></code> must also be filled, this argument is a map, where the key is the name of the input node and the value is a list of dimensions ordered by the input index, defaults to None</p></li>
<li><p><strong>outputs_dims</strong> (<em>Mapping</em><em>[</em><em>str</em><em>, </em><em>List</em><em>[</em><em>List</em><em>[</em><em>int</em><em>]</em><em>]</em><em>]</em><em>, </em><em>optional</em>) – output dimensions of the network, if provided, <code class="docutils literal notranslate"><span class="pre">inputs_dims</span></code> must also be filled, this argument is a map, where the key is the name of the output node and the value is a list of dimensions ordered by the output index, defaults to None</p></li>
<li><p><strong>verbose</strong> (<em>bool</em><em>, </em><em>optional</em>) – If true, verbosity is activated, defaults to False</p></li>
<li><p><strong>enable_custom_op</strong> (<em>bool</em><em>, </em><em>optional</em>) – If True, export will not fail for <a class="reference internal" href="../Core/operator.html#aidge_core.GenericOperator" title="aidge_core.GenericOperator"><code class="xref py py-class docutils literal notranslate"><span class="pre">aidge_core.GenericOperator</span></code></a> and will add the operator schema to a custom aidge domain, defaults to False</p></li>
<li><p><strong>opset</strong> (<em>int</em><em>, </em><em>optional</em>) – The version of the ONNX opset generated, defaults to None</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<section id="register-export-functions">
<h3>Register export functions<a class="headerlink" href="#register-export-functions" title="Link to this heading">#</a></h3>
<dl class="py function">
<dt class="sig sig-object py" id="aidge_onnx.node_export.register_export">
<span class="sig-prename descclassname"><span class="pre">aidge_onnx.node_export.</span></span><span class="sig-name descname"><span class="pre">register_export</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">key</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">parser_function</span></span></em><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><span class="pre">None</span></span></span><a class="headerlink" href="#aidge_onnx.node_export.register_export" title="Link to this definition">#</a></dt>
<dd><p>Add a new conversion function to the <code class="xref py py-data docutils literal notranslate"><span class="pre">aidge_onnx.node_export.AIDGE_NODE_CONVERTER_</span></code> dictionnary.
A conversion function must have the following signature : <code class="docutils literal notranslate"><span class="pre">(aidge_core.Node,</span> <span class="pre">List[str],</span> <span class="pre">List[str],</span> <span class="pre">int,</span> <span class="pre">bool)</span> <span class="pre">-&gt;</span> <span class="pre">onnx.NodeProto</span></code></p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>key</strong> (<em>str</em>) – This chain of characters must correspond to the Aidge type.</p></li>
<li><p><strong>converter_function</strong> (<em>Callable</em><em>[</em><em>[</em><a class="reference internal" href="../Core/graph.html#aidge_core.Node" title="aidge_core.Node"><em>aidge_core.Node</em></a><em>, </em><em>List</em><em>[</em><em>str</em><em>]</em><em>, </em><em>List</em><em>[</em><em>str</em><em>]</em><em>, </em><em>int</em><em>, </em><em>bool</em><em>]</em><em>, </em><em>onnx.NodeProto</em><em>]</em>) – Function which take as an input an Aidge node, list of inputs name, outputs name and a boolean to handle verbosity level.</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="aidge_onnx.node_export.supported_operators">
<span class="sig-prename descclassname"><span class="pre">aidge_onnx.node_export.</span></span><span class="sig-name descname"><span class="pre">supported_operators</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><span class="pre">List</span><span class="p"><span class="pre">[</span></span><span class="pre">str</span><span class="p"><span class="pre">]</span></span></span></span><a class="headerlink" href="#aidge_onnx.node_export.supported_operators" title="Link to this definition">#</a></dt>
<dd><p>Return a list of operators supported by the ONNX export.</p>
<dl class="field-list simple">
<dt class="field-odd">Returns<span class="colon">:</span></dt>
<dd class="field-odd"><p>List of string representing the operators supported by the ONNX import.</p>
</dd>
<dt class="field-even">Return type<span class="colon">:</span></dt>
<dd class="field-even"><p>List[str]</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="aidge_onnx.node_export.auto_register_export">
<span class="sig-prename descclassname"><span class="pre">aidge_onnx.node_export.</span></span><span class="sig-name descname"><span class="pre">auto_register_export</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><span class="pre">Callable</span></span></span><a class="headerlink" href="#aidge_onnx.node_export.auto_register_export" title="Link to this definition">#</a></dt>
<dd><p>Decorator used to register a converter to the <code class="xref py py-data docutils literal notranslate"><span class="pre">aidge_onnx.node_export.AIDGE_NODE_CONVERTER_</span></code></p>
<p>Example:</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="nd">@auto_register_export</span><span class="p">(</span><span class="s2">&quot;myOp&quot;</span><span class="p">)</span>
<span class="k">def</span><span class="w"> </span><span class="nf">my_op_converter</span><span class="p">(</span><span class="n">aidge_node</span><span class="p">,</span> <span class="n">node_inputs_name</span><span class="p">,</span> <span class="n">node_outputs_name</span><span class="p">,</span> <span class="n">verbose</span><span class="p">):</span>
    <span class="o">...</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><p><strong>args</strong> – Set of keys (str) which should correspond to the operator type defined by Aidge.</p>
</dd>
</dl>
</dd></dl>

</section>
<section id="converters-aidge-to-onnx">
<h3>Converters Aidge to ONNX<a class="headerlink" href="#converters-aidge-to-onnx" title="Link to this heading">#</a></h3>
<dl class="py function">
<dt class="sig sig-object py" id="aidge_onnx.node_export.generic_export.generic_export">
<span class="sig-prename descclassname"><span class="pre">aidge_onnx.node_export.generic_export.</span></span><span class="sig-name descname"><span class="pre">generic_export</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">aidge_node</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference internal" href="../Core/graph.html#aidge_core.Node" title="aidge_core.aidge_core.Node"><span class="pre">Node</span></a></span></em>, <em class="sig-param"><span class="n"><span class="pre">node_inputs_name</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">node_outputs_name</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">opset</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">int</span><span class="w"> </span><span class="p"><span class="pre">|</span></span><span class="w"> </span><span class="pre">None</span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">enable_custom_op</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">bool</span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">False</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">verbose</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">bool</span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">False</span></span></em><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><span class="pre">None</span></span></span><a class="headerlink" href="#aidge_onnx.node_export.generic_export.generic_export" title="Link to this definition">#</a></dt>
<dd><p>Function to export a <a class="reference internal" href="../Core/operator.html#aidge_core.GenericOperator" title="aidge_core.GenericOperator"><code class="xref py py-class docutils literal notranslate"><span class="pre">aidge_core.GenericOperator</span></code></a> to an ONNX node</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>aidge_node</strong> (<a class="reference internal" href="../Core/graph.html#aidge_core.Node" title="aidge_core.Node"><em>aidge_core.Node</em></a>) – Aidge node containing a <a class="reference internal" href="../Core/operator.html#aidge_core.GenericOperator" title="aidge_core.GenericOperator"><code class="xref py py-class docutils literal notranslate"><span class="pre">aidge_core.GenericOperator</span></code></a></p></li>
<li><p><strong>node_inputs_name</strong> (<em>list</em><em>[</em><em>str</em><em>]</em>) – list of names of inputs node</p></li>
<li><p><strong>node_outputs_name</strong> (<em>list</em><em>[</em><em>str</em><em>]</em>) – list of names of outputs node</p></li>
<li><p><strong>opset</strong> (<em>int</em><em>, </em><em>optional</em>) – opset to use for the export, defaults to None</p></li>
<li><p><strong>enable_custom_op</strong> (<em>bool</em><em>, </em><em>optional</em>) – If True, the export will not fait if the type associated to the <a class="reference internal" href="../Core/operator.html#aidge_core.GenericOperator" title="aidge_core.GenericOperator"><code class="xref py py-class docutils literal notranslate"><span class="pre">aidge_core.GenericOperator</span></code></a> is not , defaults to False</p></li>
<li><p><strong>verbose</strong> (<em>bool</em><em>, </em><em>optional</em>) – If true, verbosity is activated, defaults to False</p></li>
</ul>
</dd>
</dl>
</dd></dl>

</section>
</section>
</section>


                </article>
              
              
              
              
              
                <footer class="prev-next-footer d-print-none">
                  
<div class="prev-next-area">
    <a class="left-prev"
       href="../BackendCPU/index.html"
       title="previous page">
      <i class="fa-solid fa-angle-left"></i>
      <div class="prev-next-info">
        <p class="prev-next-subtitle">previous</p>
        <p class="prev-next-title">Aidge backend CPU</p>
      </div>
    </a>
    <a class="right-next"
       href="../BackendOPENCV/index.html"
       title="next page">
      <div class="prev-next-info">
        <p class="prev-next-subtitle">next</p>
        <p class="prev-next-title">Aidge backend OpenCV API</p>
      </div>
      <i class="fa-solid fa-angle-right"></i>
    </a>
</div>
                </footer>
              
            </div>
            
            
              
                <dialog id="pst-secondary-sidebar-modal"></dialog>
                <div id="pst-secondary-sidebar" class="bd-sidebar-secondary bd-toc"><div class="sidebar-secondary-items sidebar-secondary__inner">


  <div class="sidebar-secondary-item">
<div
    id="pst-page-navigation-heading-2"
    class="page-toc tocsection onthispage">
    <i class="fa-solid fa-list"></i> On this page
  </div>
  <nav class="bd-toc-nav page-toc" aria-labelledby="pst-page-navigation-heading-2">
    <ul class="visible nav section-nav flex-column">
<li class="toc-h2 nav-item toc-entry"><a class="reference internal nav-link" href="#import">Import</a><ul class="visible nav section-nav flex-column">
<li class="toc-h3 nav-item toc-entry"><a class="reference internal nav-link" href="#aidge_onnx.load_onnx"><code class="docutils literal notranslate"><span class="pre">load_onnx()</span></code></a></li>
<li class="toc-h3 nav-item toc-entry"><a class="reference internal nav-link" href="#register-import-functions">Register import functions</a><ul class="visible nav section-nav flex-column">
<li class="toc-h4 nav-item toc-entry"><a class="reference internal nav-link" href="#aidge_onnx.node_import.register_import"><code class="docutils literal notranslate"><span class="pre">register_import()</span></code></a></li>
<li class="toc-h4 nav-item toc-entry"><a class="reference internal nav-link" href="#aidge_onnx.node_import.supported_operators"><code class="docutils literal notranslate"><span class="pre">supported_operators()</span></code></a></li>
<li class="toc-h4 nav-item toc-entry"><a class="reference internal nav-link" href="#aidge_onnx.node_import.auto_register_import"><code class="docutils literal notranslate"><span class="pre">auto_register_import()</span></code></a></li>
<li class="toc-h4 nav-item toc-entry"><a class="reference internal nav-link" href="#aidge_onnx.node_import.ONNX_NODE_CONVERTER_"><code class="docutils literal notranslate"><span class="pre">aidge_onnx.node_import.ONNX_NODE_CONVERTER_</span></code></a></li>
</ul>
</li>
<li class="toc-h3 nav-item toc-entry"><a class="reference internal nav-link" href="#converters-onnx-to-aidge">Converters ONNX to Aidge</a><ul class="visible nav section-nav flex-column">
<li class="toc-h4 nav-item toc-entry"><a class="reference internal nav-link" href="#aidge_onnx.node_import.generic.import_generic"><code class="docutils literal notranslate"><span class="pre">import_generic()</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li class="toc-h2 nav-item toc-entry"><a class="reference internal nav-link" href="#export">Export</a><ul class="visible nav section-nav flex-column">
<li class="toc-h3 nav-item toc-entry"><a class="reference internal nav-link" href="#aidge_onnx.export_onnx"><code class="docutils literal notranslate"><span class="pre">export_onnx()</span></code></a></li>
<li class="toc-h3 nav-item toc-entry"><a class="reference internal nav-link" href="#register-export-functions">Register export functions</a><ul class="visible nav section-nav flex-column">
<li class="toc-h4 nav-item toc-entry"><a class="reference internal nav-link" href="#aidge_onnx.node_export.register_export"><code class="docutils literal notranslate"><span class="pre">register_export()</span></code></a></li>
<li class="toc-h4 nav-item toc-entry"><a class="reference internal nav-link" href="#aidge_onnx.node_export.supported_operators"><code class="docutils literal notranslate"><span class="pre">supported_operators()</span></code></a></li>
<li class="toc-h4 nav-item toc-entry"><a class="reference internal nav-link" href="#aidge_onnx.node_export.auto_register_export"><code class="docutils literal notranslate"><span class="pre">auto_register_export()</span></code></a></li>
</ul>
</li>
<li class="toc-h3 nav-item toc-entry"><a class="reference internal nav-link" href="#converters-aidge-to-onnx">Converters Aidge to ONNX</a><ul class="visible nav section-nav flex-column">
<li class="toc-h4 nav-item toc-entry"><a class="reference internal nav-link" href="#aidge_onnx.node_export.generic_export.generic_export"><code class="docutils literal notranslate"><span class="pre">generic_export()</span></code></a></li>
</ul>
</li>
</ul>
</li>
</ul>
  </nav></div>

  <div class="sidebar-secondary-item">

  
  <div class="tocsection editthispage">
    <a href="https://gitlab.eclipse.org/eclipse/aidge/aidge/-/edit/master/docs/source/API/Onnx/index.rst">
      <i class="fa-solid fa-pencil"></i>
      
      
        
          Edit on GitLab
        
      
    </a>
  </div>
</div>

  <div class="sidebar-secondary-item">
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="../../../_sources/source/API/Onnx/index.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div></div>

</div></div>
              
            
          </div>
          <footer class="bd-footer-content">
            
          </footer>
        
      </main>
    </div>
  </div>
  
  <!-- Scripts loaded after <body> so the DOM is not blocked -->
  <script defer src="../../../_static/scripts/bootstrap.js?digest=8878045cc6db502f8baf"></script>
<script defer src="../../../_static/scripts/pydata-sphinx-theme.js?digest=8878045cc6db502f8baf"></script>

  <footer class="bd-footer">
<div class="bd-footer__inner bd-page-width">
  
    <div class="footer-items__start">
      
        <div class="footer-item">

  <p class="copyright">
    
      © Copyright 2023, CEA LIST.
      <br/>
    
  </p>
</div>
      
        <div class="footer-item">

  <p class="sphinx-version">
    Created using <a href="https://www.sphinx-doc.org/">Sphinx</a> 8.1.3.
    <br/>
  </p>
</div>
      
    </div>
  
  
  
    <div class="footer-items__end">
      
        <div class="footer-item">
<p class="theme-version">
  <!-- # L10n: Setting the PST URL as an argument as this does not need to be localized -->
  Built with the <a href="https://pydata-sphinx-theme.readthedocs.io/en/stable/index.html">PyData Sphinx Theme</a> 0.16.1.
</p></div>
      
    </div>
  
</div>

  </footer>
  </body>
</html>